Set Arc Points
PUT /api/creative/timelines/plotlines/{plotline_id}/arc-points
PUT
/api/creative/timelines/plotlines/{plotline_id}/arc-points
Batch set arc points for a plotline lane.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” plotline_id
required
Plotline Id
string
Request Body required
Section titled “Request Body required ” ArcPointSetRequest
PUT /timelines/plotlines/{id}/arc-points body.
object
points
required
Points
Arc points for the lane
Array<object>
ArcPointSingle point on a character arc curve.
object
eventId
required
Eventid
Event this arc point is anchored to
string
value
required
Value
Emotional valence 0-100
integer
label
Label
Label for this point
string
notes
Notes
Author notes about why the value sits where it does
string
Responses
Section titled “ Responses ”Successful Response
ArcPointListResponse
List of arc points.
object
status
required
Status
Operation status
string
data
required
Data
Arc points
Array<object>
ArcPointSingle point on a character arc curve.
object
eventId
required
Eventid
Event this arc point is anchored to
string
value
required
Value
Emotional valence 0-100
integer
label
Label
Label for this point
string
notes
Notes
Author notes about why the value sits where it does
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context